package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FileTabFactory
{
    private FileTabFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IFileTab getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFileTab)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("85C86048") ,com.kingdee.eas.custom.esign.IFileTab.class);
    }
    
    public static com.kingdee.eas.custom.esign.IFileTab getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFileTab)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("85C86048") ,com.kingdee.eas.custom.esign.IFileTab.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IFileTab getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFileTab)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("85C86048"));
    }
    public static com.kingdee.eas.custom.esign.IFileTab getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IFileTab)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("85C86048"));
    }
}